Bug 143920 - Kernel OOPS while running xfsdump
Kernel OOPS while running xfsdump
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-01 06:55 EST by Bernhard Erdmann
Modified: 2015-01-04 17:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-03 21:20:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernhard Erdmann 2005-01-01 06:55:17 EST
Description of problem:
Kernel OOPS

Version-Release number of selected component (if applicable):
kernel 2.6.9-1.681_FC3smp
xfsdump 2.2.25-1

How reproducible:
sometimes

Steps to Reproduce:
1. xfsdump my / filesystem
2. 
3.
  
Actual results:
OOPS, see syslog attached

Expected results:


Additional info:
Comment 1 Bernhard Erdmann 2005-01-01 06:56:02 EST
Jan  1 12:21:59 apollo kernel: Unable to handle kernel paging request
at virtual address 00003ffc
Jan  1 12:21:59 apollo kernel:  printing eip:
Jan  1 12:21:59 apollo kernel: 2296545f
Jan  1 12:21:59 apollo kernel: *pde = 00004001
Jan  1 12:21:59 apollo kernel: Oops: 0000 [#1]
Jan  1 12:21:59 apollo kernel: SMP
Jan  1 12:21:59 apollo kernel: Modules linked in: radeon nfs nfsd
exportfs lockd parport_pc lp parport i2c_dev i2c_core sunrpc button
battery ac md5 ipv6 uhci_hcd ehci_hcd hw_random snd_intel8x0
snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm snd_timer
snd_page_alloc gameport snd_mpu401_uart snd_rawmidi snd_seq_device snd
soundcore sk98lin 3c59x floppy sr_mod xfs dm_mod tmscsim sym53c8xx
scsi_transport_spi sd_mod scsi_mod
Jan  1 12:21:59 apollo kernel: CPU:    0
Jan  1 12:21:59 apollo kernel: EIP:    0060:[<2296545f>]    Not
tainted VLI
Jan  1 12:21:59 apollo kernel: EFLAGS: 00010202   (2.6.9-1.681_FC3smp)
Jan  1 12:21:59 apollo kernel: EIP is at xfs_idestroy_fork+0x11/0x93 [xfs]
Jan  1 12:21:59 apollo kernel: eax: 080c502c   ebx: 00003ff4   ecx:
080c5094   edx: 00000001
Jan  1 12:21:59 apollo kernel: esi: 080c502c   edi: 00000001   ebp:
00000001   esp: 036a3e1c
Jan  1 12:21:59 apollo kernel: ds: 007b   es: 007b   ss: 0068
Jan  1 12:21:59 apollo kernel: Process kswapd0 (pid: 44,
threadinfo=036a3000 task=036eb770)
Jan  1 12:21:59 apollo kernel: Stack: 080c502c 21b48eb4 09f7f02c
22965522 080c502c 2297e6b6 00000001 00000000
Jan  1 12:21:59 apollo kernel:        09f7f02c 00000068 09f7f02c
22987f18 00000000 036a3ebc 2298836f 080c502c
Jan  1 12:21:59 apollo kernel:        21b58000 09f7f048 036a3ebc
00000001 00000000 fffffffe ffffffff ffffffff
Jan  1 12:21:59 apollo kernel: Call Trace:
Jan  1 12:21:59 apollo kernel:  [<22965522>] xfs_idestroy+0x41/0x5e [xfs]
Jan  1 12:21:59 apollo kernel:  [<2297e6b6>]
xfs_finish_reclaim+0xfd/0x107 [xfs]
Jan  1 12:21:59 apollo kernel:  [<22987f18>] vn_reclaim+0x2d/0x5c [xfs]
Jan  1 12:21:59 apollo kernel:  [<2298836f>] vn_purge+0x10d/0x12a [xfs]
Jan  1 12:21:59 apollo kernel:  [<2297bcb3>] xfs_inactive+0x118/0x3e9
[xfs]
Jan  1 12:21:59 apollo kernel:  [<229884a7>] vn_remove+0x53/0x58 [xfs]
Jan  1 12:21:59 apollo kernel:  [<22987300>]
linvfs_clear_inode+0xf/0x19 [xfs]
Jan  1 12:21:59 apollo kernel:  [<02169549>] clear_inode+0xcc/0xf8
Jan  1 12:21:59 apollo kernel:  [<021695bc>] dispose_list+0x47/0x6d
Jan  1 12:21:59 apollo kernel:  [<02169941>] prune_icache+0x193/0x1ec
Jan  1 12:21:59 apollo kernel:  [<021699b2>]
shrink_icache_memory+0x18/0x2f
Jan  1 12:21:59 apollo kernel:  [<02142b28>] shrink_slab+0xf8/0x161
Jan  1 12:21:59 apollo kernel:  [<02143d3f>] balance_pgdat+0x1bf/0x28c
Jan  1 12:21:59 apollo kernel:  [<02143ed6>] kswapd+0xca/0xcc
Jan  1 12:21:59 apollo kernel:  [<0211e256>]
autoremove_wake_function+0x0/0x2d
Jan  1 12:21:59 apollo kernel:  [<0211e256>]
autoremove_wake_function+0x0/0x2d
Jan  1 12:21:59 apollo kernel:  [<02143e0c>] kswapd+0x0/0xcc
Jan  1 12:21:59 apollo kernel:  [<021041f1>] kernel_thread_helper+0x5/0xb
Jan  1 12:21:59 apollo kernel: Code: 89 42 10 0f b6 8b a2 00 00 00 d3
e0 66 89 42 12 31 c0 83 c4 2c 5b 5e 5f 5d c3 57 85 d2 89 d7 56 89 c6
53 8d 58 50 74 03 8b 58 4c <8b> 43 08 85 c0 74 10 0f bf 53 0c e8 31 aa
01 00 c7 43 08 00 00
Comment 2 Bernhard Erdmann 2005-01-02 07:13:50 EST
Another OOPS occured this night. Syslog contains

Jan  2 02:46:01 apollo kernel: xfs_iget_core: ambiguous vns:
vp/0x080c902c, invp/0x1dda61a8
Jan  2 02:46:01 apollo kernel: ------------[ cut here ]------------
Jan  2 02:46:02 apollo kernel: kernel BUG at fs/xfs/support/debug.c:106!

A serial console was attached and the output was:

xfs_iget_core: ambiguous vns: vp/0x080c902c, invp/0x1dda61a8
------------[ cut here ]------------
kernel BUG at fs/xfs/support/debug.c:106!
invalid operand: 0000 [#1]
SMP 
Modules linked in: radeon nfs nfsd exportfs lockd md5 ipv6 parport_pc
lp parport i2c_dev i2c_core sunrpc button battery ac uhci_hcd ehci_hcd
hw_random snd_intel8x0 snd_ac97_codec snd_pcm_oss snd_mixer_oss
snd_pcm snd_timer snd_page_alloc gameport snd_mpu401_uart snd_rawmidi
snd_seq_device snd soundcore sk98lin 3c59x floppy sr_mod xfs dm_mod
tmscsim sym53c8xx scsi_transport_spi sd_mod scsi_mod
CPU:    0
EIP:    0060:[<22988552>]    Not tainted VLI
EFLAGS: 00010246   (2.6.9-1.681_FC3smp) 
EIP is at cmn_err+0x8d/0x9b [xfs]
eax: 00000000   ebx: 2298a72d   ecx: 2299e864   edx: 00000200
esi: 2298d0f3   edi: 229a0e5e   ebp: 00000000   esp: 1d7cad88
ds: 007b   es: 007b   ss: 0068
Process xfsdump (pid: 5701, threadinfo=1d7ca000 task=15457870)
Stack: 00000293 1dda61cc 21b19490 02d7f835 00000000 2296181e 00000000
2298a72d 
       080c902c 1dda61a8 21ec2c00 00000246 00000000 21aafc00 1dda61a8
09ebe02c 
       1dda61cc 023a70c0 1dda61a8 1d7ca000 22961c7a 02d7f835 00000000
00000008 
Call Trace:
 [<2296181e>] xfs_iget_core+0x136/0x512 [xfs]
 [<22961c7a>] xfs_iget+0x80/0x135 [xfs]
 [<22968437>] xfs_bulkstat_one+0x107/0x4bb [xfs]
 [<22969464>] xfs_bulkstat_single+0x37/0xb8 [xfs]
 [<22984bf6>] xfs_ioc_bulkstat+0xd1/0x147 [xfs]
 [<22984735>] xfs_ioctl+0x2f5/0x667 [xfs]
 [<0214f496>] rw_vm+0x276/0x284
 [<22983a9b>] linvfs_ioctl+0x4f/0x88 [xfs]
 [<02163ab2>] sys_ioctl+0x211/0x253
Code: <3>Debug: sleeping function called from invalid context at
include/linux/rwsem.h:43
in_atomic():0[expected: 0], irqs_disabled():1
 [<0211df82>] __might_sleep+0x7d/0x87
 [<0214f2fd>] rw_vm+0xdd/0x284
 [<22988527>] cmn_err+0x62/0x9b [xfs]
 [<22988527>] cmn_err+0x62/0x9b [xfs]
 [<0214f759>] get_user_size+0x30/0x57
 [<22988527>] cmn_err+0x62/0x9b [xfs]
 [<021061c4>] show_registers+0x115/0x16c
 [<0210635b>] die+0xdb/0x16b
 [<021066cd>] do_invalid_op+0x0/0xd5
 [<021066cd>] do_invalid_op+0x0/0xd5
 [<02106799>] do_invalid_op+0xcc/0xd5
 [<22988552>] cmn_err+0x8d/0x9b [xfs]
 [<0211cf0a>] scheduler_tick+0x3ce/0x3e5
 [<021162fb>] smp_apic_timer_interrupt+0xd9/0xdd
 [<22988552>] cmn_err+0x8d/0x9b [xfs]
 [<2296181e>] xfs_iget_core+0x136/0x512 [xfs]
 [<22961c7a>] xfs_iget+0x80/0x135 [xfs]
 [<22968437>] xfs_bulkstat_one+0x107/0x4bb [xfs]
 [<22969464>] xfs_bulkstat_single+0x37/0xb8 [xfs]
 [<22984bf6>] xfs_ioc_bulkstat+0xd1/0x147 [xfs]
 [<22984735>] xfs_ioctl+0x2f5/0x667 [xfs]
 [<0214f496>] rw_vm+0x276/0x284
 [<22983a9b>] linvfs_ioctl+0x4f/0x88 [xfs]
 [<02163ab2>] sys_ioctl+0x211/0x253
 Bad EIP value.

Afterwards, xfs_repair was run on the / filesystem (system running on
a second / filesystem). xfs_repair's output was:

sh-3.00# xfs_repair /dev/sda4
Phase 1 - find and verify superblock...
Phase 2 - using internal log
        - zero log...
        - scan filesystem freespace and inode maps...
        - found root inode chunk
Phase 3 - for each AG...
        - scan and clear agi unlinked lists...
        - process known inodes and perform inode discovery...
        - agno = 0
        - agno = 1
        - agno = 2
zero length extent (off = 0, fsbno = 552968) in ino 8844656
bad data fork in inode 8844656
inode 8846000 - bad extent starting block number 927385104942596,
offset 3799912189375158
bad data fork in inode 8846000
cleared inode 8846000
        - agno = 3
        - agno = 4
        - agno = 5
        - agno = 6
        - agno = 7
        - agno = 8
        - agno = 9
        - agno = 10
        - agno = 11
        - agno = 12
        - agno = 13
        - agno = 14
zero length extent (off = 0, fsbno = 3753992) in ino 60069680
bad data fork in inode 60069680
cleared inode 60069680
        - agno = 15
        - process newly discovered inodes...
Phase 4 - check for duplicate blocks...
        - setting up duplicate extent list...
        - clear lost+found (if it exists) ...
        - clearing existing "lost+found" inode
        - marking entry "lost+found" to be deleted
        - agno = 0
        - agno = 1
        - agno = 2
entry "BR-COPY" at block 0 offset 80 in directory inode 8844655
references free
inode 8844656
        clearing inode number in entry at offset 80...
entry "sasl-cram.elc" at block 0 offset 632 in directory inode 8845990
references free inode 8846000
        clearing inode number in entry at offset 632...
        - agno = 3
        - agno = 4
        - agno = 5
        - agno = 6
        - agno = 7
        - agno = 8
        - agno = 9
        - agno = 10
        - agno = 11
        - agno = 12
[...rest not captured...]
Comment 3 Bernhard Erdmann 2005-01-04 17:01:06 EST
Just another OOPS this night...

Unable to handle kernel paging request at virtual address 00003ffc
 printing eip:
2296545f
*pde = 00004001
Oops: 0000 [#1]
SMP
Modules linked in: vfat fat radeon nfs nfsd exportfs lockd md5 ipv6
parport_pc lp parport i2c_dev i2c_core sunrpc \button battery ac
uhci_hcd ehci_hcd hw_random snd_intel8x0 snd_ac97_codec snd_pcm_oss
snd_mixer_oss snd_pcm snd_ti\mer snd_page_alloc gameport
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore sk98lin 3c59x
floppy sr_mod x\fs dm_mod tmscsim sym53c8xx scsi_transport_spi sd_mod
scsi_mod
CPU:    1
EIP:    0060:[<2296545f>]    Not tainted VLI
EFLAGS: 00010202   (2.6.9-1.681_FC3smp)
EIP is at xfs_idestroy_fork+0x11/0x93 [xfs]
eax: 080c602c   ebx: 00003ff4   ecx: 21faf280   edx: 00000001
esi: 080c602c   edi: 00000001   ebp: 00000001   esp: 036b0e1c
ds: 007b   es: 007b   ss: 0068
Process kswapd0 (pid: 44, threadinfo=036b0000 task=036db770)
Stack: 080c602c 21a903f4 15ca302c 22965522 080c602c 2297e6b6 00000001
00000000
       15ca302c 0000002f 15ca302c 22987f18 00000000 036b0ebc 2298836f
036b0e88
       0211cf0a 15ca3048 036b0ebc 00000000 036b0ea0 08c7f8b1 00000001
00000001
Call Trace:
 [<22965522>] xfs_idestroy+0x41/0x5e [xfs]
 [<2297e6b6>] xfs_finish_reclaim+0xfd/0x107 [xfs]
 [<22987f18>] vn_reclaim+0x2d/0x5c [xfs]
 [<2298836f>] vn_purge+0x10d/0x12a [xfs]
 [<0211cf0a>] scheduler_tick+0x3ce/0x3e5
 [<021162fb>] smp_apic_timer_interrupt+0xd9/0xdd
 [<2297bbbe>] xfs_inactive+0x23/0x3e9 [xfs]
 [<229884a7>] vn_remove+0x53/0x58 [xfs]
 [<22987300>] linvfs_clear_inode+0xf/0x19 [xfs]
 [<02169549>] clear_inode+0xcc/0xf8
 [<021695bc>] dispose_list+0x47/0x6d
 [<02169941>] prune_icache+0x193/0x1ec
 [<021699b2>] shrink_icache_memory+0x18/0x2f
 [<02142b28>] shrink_slab+0xf8/0x161
 [<02143d3f>] balance_pgdat+0x1bf/0x28c
 [<02143ed6>] kswapd+0xca/0xcc
 [<0211e256>] autoremove_wake_function+0x0/0x2d
 [<0211e256>] autoremove_wake_function+0x0/0x2d
 [<02143e0c>] kswapd+0x0/0xcc
 [<021041f1>] kernel_thread_helper+0x5/0xb
Code: 89 42 10 0f b6 8b a2 00 00 00 d3 e0 66 89 42 12 31 c0 83 c4 2c
5b 5e 5f 5d c3 57 85 d2 89 d7 56 89 c6 53 8d \58 50 74 03 8b 58 4c
<8b> 43 08 85 c0 74 10 0f bf 53 0c e8 31 aa 01 00 c7 43 08 00 00

xfs_repair's output afterwards on the / filesystem:

Phase 1 - find and verify superblock...
Phase 2 - using internal log
        - zero log...
        - scan filesystem freespace and inode maps...
        - found root inode chunk
Phase 3 - for each AG...
        - scan and clear agi unlinked lists...
        - process known inodes and perform inode discovery...
        - agno = 0
        - agno = 1
        - agno = 2
        - agno = 3
        - agno = 4
        - agno = 5
correcting nblocks for inode 20971652, was 133340 - counted 2269
correcting nblocks for inode 20971659, was 132176 - counted 1105
correcting nblocks for inode 20971665, was 134953 - counted 3882
        - agno = 6
        - agno = 7
        - agno = 8
correcting nblocks for inode 33634199, was 18446744073709420547 -
counted 2
correcting nblocks for inode 33639305, was 18446744073709420547 -
counted 2
correcting nblocks for inode 33936663, was 262171 - counted 28
correcting nblocks for inode 33976596, was 18446744073709420602 -
counted 57
        - agno = 9
        - agno = 10
inode 43585152 - bad extent starting block number 927385104941613,
offset 3096224747598518
bad data fork in inode 43585152
cleared inode 43585152
        - agno = 11
        - agno = 12
        - agno = 13
        - agno = 14
        - agno = 15
        - process newly discovered inodes...
Phase 4 - check for duplicate blocks...
        - setting up duplicate extent list...
        - clear lost+found (if it exists) ...
        - clearing existing "lost+found" inode
        - marking entry "lost+found" to be deleted
        - check for inodes claiming duplicate blocks...
        - agno = 0
        - agno = 1
        - agno = 2
        - agno = 3
        - agno = 4
        - agno = 5
        - agno = 6
        - agno = 7
        - agno = 8
        - agno = 9
        - agno = 10
entry "sha_fast.h" at block 1 offset 928 in directory inode 43581028
references free inode 43585152
        clearing inode number in entry at offset 928...
        - agno = 11
        - agno = 12
        - agno = 13
        - agno = 14
        - agno = 15
Phase 5 - rebuild AG headers and trees...
        - reset superblock...
Phase 6 - check inode connectivity...
        - resetting contents of realtime bitmap and summary inodes
        - ensuring existence of lost+found directory
        - traversing filesystem starting at / ...
rebuilding directory inode 128
rebuilding directory inode 43581028
        - traversal finished ...
        - traversing all unattached subtrees ...
        - traversals finished ...
        - moving disconnected inodes to lost+found ...
Phase 7 - verify and correct link counts...
done
Comment 4 Bernhard Erdmann 2005-01-12 18:34:08 EST
Installed errata kernel-smp-2.6.9-1.724_FC3 on Jan 5th and haven't had
any crashes yet.
Comment 5 cd 2005-03-08 16:11:20 EST
This isn't XFS related, but I've gotten 2 paging request oopses on an
idle box.  One from kernel 2.6.9-1.667 and 1 from 2.6.10-1.770_FC3:

Mar  7 08:06:37 webmaster kernel: Unable to handle kernel paging
request at virtual address ffefffff
Mar  7 08:06:37 webmaster kernel:  printing eip:
Mar  7 08:06:37 webmaster kernel: 128ac32f
Mar  7 08:06:37 webmaster kernel: *pde = 00002067
Mar  7 08:06:37 webmaster kernel: Oops: 0002 [#1]
Mar  7 08:06:37 webmaster kernel: Modules linked in: md5 ipv6
parport_pc lp parport autofs4 sunrpc ipt_REJECT ipt_state ip_conntrack
iptable_filter ip
_tables uhci_hcd 3c59x floppy dm_snapshot dm_zero dm_mirror ext3 jbd
dm_mod
Mar  7 08:06:37 webmaster kernel: CPU:    0
Mar  7 08:06:37 webmaster kernel: EIP:    0060:[<128ac32f>]    Not
tainted VLI
Mar  7 08:06:37 webmaster kernel: EFLAGS: 00010286   (2.6.9-1.667) 
Mar  7 08:06:37 webmaster kernel: EIP is at ext3_clear_inode+0x3a/0x59
[ext3]
Mar  7 08:06:37 webmaster kernel: eax: 049b3c54   ebx: 049b3c54   ecx:
00000000   edx: ffefffff
Mar  7 08:06:37 webmaster kernel: esi: 11ce2f04   edi: 00000075   ebp:
00000000   esp: 11ce2edc
Mar  7 08:06:37 webmaster kernel: ds: 007b   es: 007b   ss: 0068
Mar  7 08:06:37 webmaster kernel: Process kswapd0 (pid: 29,
threadinfo=11ce2000 task=11cce050)
Mar  7 08:06:37 webmaster kernel: Stack: 049b3c54 021836f5 049b3c54
02183768 0fd79940 00000080 02354160 02183e94 
Mar  7 08:06:37 webmaster kernel:        00000080 00000080 088fec5c
08986d7c 00000000 00000083 00000000 11ffaa00 
Mar  7 08:06:37 webmaster kernel:        02183ee9 0214dc6f 0007b700
00000000 00000009 00000000 0000d926 000000d0 
Mar  7 08:06:37 webmaster kernel: Call Trace:
Mar  7 08:06:37 webmaster kernel:  [<021836f5>] clear_inode+0xcc/0xf8
Mar  7 08:06:37 webmaster kernel:  [<02183768>] dispose_list+0x47/0x15c
Mar  7 08:06:37 webmaster kernel:  [<02183e94>] prune_icache+0x361/0x39e
Mar  7 08:06:37 webmaster kernel:  [<02183ee9>]
shrink_icache_memory+0x18/0x2f
Mar  7 08:06:37 webmaster kernel:  [<0214dc6f>] shrink_slab+0xf7/0x14c
Mar  7 08:06:37 webmaster kernel:  [<0214f3f0>] balance_pgdat+0x191/0x249
Mar  7 08:06:37 webmaster kernel:  [<0214f561>] kswapd+0xb9/0xbb
Mar  7 08:06:37 webmaster kernel:  [<0211cf5b>]
autoremove_wake_function+0x0/0x2d
Mar  7 08:06:37 webmaster kernel:  [<0211cf5b>]
autoremove_wake_function+0x0/0x2d
Mar  7 08:06:37 webmaster kernel:  [<0214f4a8>] kswapd+0x0/0xbb
Mar  7 08:06:37 webmaster kernel:  [<021041d9>]
kernel_thread_helper+0x5/0xb
Mar  7 08:06:37 webmaster kernel: Code: 85 d2 74 10 ff 0a 0f 94 c0 84
c0 74 07 89 d0 e8 f9 f8 89 ef c7 43 c0 ff ff ff ff 8b 53 c4 85 d2 74
20 83 fa ff
 74 1b 85 d2 74 10 <ff> 0a 0f 94 c0 84 c0 74 07 89 d0 e8 d2 f8 89 ef
c7 43 c4 ff ff 

...

Mar  8 06:49:44 webmaster kernel: Unable to handle kernel paging
request at virtual address ffefffff
Mar  8 06:49:44 webmaster kernel:  printing eip:
Mar  8 06:49:44 webmaster kernel: d08a92c4
Mar  8 06:49:44 webmaster kernel: *pde = 00002067
Mar  8 06:49:44 webmaster kernel: Oops: 0002 [#1]
Mar  8 06:49:44 webmaster kernel: Modules linked in: md5 ipv6
parport_pc lp parport ipt_REJECT ipt_state ip_conntrack iptable_filter
ip_tables uhci_hc
d 3c59x floppy dm_snapshot dm_zero dm_mirror ext3 jbd dm_mod
Mar  8 06:49:44 webmaster kernel: CPU:    0
Mar  8 06:49:44 webmaster kernel: EIP:    0060:[<d08a92c4>]    Not
tainted VLI
Mar  8 06:49:44 webmaster kernel: EFLAGS: 00010286   (2.6.10-1.770_FC3) 
Mar  8 06:49:44 webmaster kernel: EIP is at ext3_clear_inode+0x3a/0x59
[ext3]
Mar  8 06:49:44 webmaster kernel: eax: c2973c54   ebx: c2973c54   ecx:
c2973c5c   edx: ffefffff
Mar  8 06:49:44 webmaster kernel: esi: c2973df0   edi: 0000007e   ebp:
00000080   esp: cff8fed4
Mar  8 06:49:44 webmaster kernel: ds: 007b   es: 007b   ss: 0068
Mar  8 06:49:44 webmaster kernel: Process kswapd0 (pid: 95,
threadinfo=cff8f000 task=cfcba050)
Mar  8 06:49:44 webmaster kernel: Stack: c2973c54 c017bcc0 c2973c54
cff8fefc c017bd34 c6831d34 00000080 00000000 
Mar  8 06:49:44 webmaster kernel:        c017c3ee 00000080 cc04116c
cc041420 00000000 0000014c 00000000 cfffa9a0 
Mar  8 06:49:44 webmaster kernel:        c017c441 c014a16d 000e2900
00000000 00000198 00000000 000008dd 000000d0 
Mar  8 06:49:44 webmaster kernel: Call Trace:
Mar  8 06:49:44 webmaster kernel:  [<c017bcc0>] clear_inode+0xd3/0x100
Mar  8 06:49:44 webmaster kernel:  [<c017bd34>] dispose_list+0x47/0x13a
Mar  8 06:49:44 webmaster kernel:  [<c017c3ee>] prune_icache+0x325/0x360
Mar  8 06:49:44 webmaster kernel:  [<c017c441>]
shrink_icache_memory+0x18/0x2f
Mar  8 06:49:44 webmaster kernel:  [<c014a16d>] shrink_slab+0xf7/0x149
Mar  8 06:49:44 webmaster kernel:  [<c014ba86>] balance_pgdat+0x1b2/0x2d9
Mar  8 06:49:44 webmaster kernel:  [<c014bc66>] kswapd+0xb9/0xbb
Mar  8 06:49:44 webmaster kernel:  [<c0133328>]
autoremove_wake_function+0x0/0x2d
Mar  8 06:49:44 webmaster kernel:  [<c0133328>]
autoremove_wake_function+0x0/0x2d
Mar  8 06:49:44 webmaster kernel:  [<c014bbad>] kswapd+0x0/0xbb
Mar  8 06:49:44 webmaster kernel:  [<c01011dd>]
kernel_thread_helper+0x5/0xb
Mar  8 06:49:44 webmaster kernel: Code: 85 d2 74 10 ff 0a 0f 94 c0 84
c0 74 07 89 d0 e8 11 ed 89 ef c7 43 c0 ff ff ff ff 8b 53 c4 85 d2 74
20 83 fa ff
 74 1b 85 d2 74 10 <ff> 0a 0f 94 c0 84 c0 74 07 89 d0 e8 ea ec 89 ef
c7 43 c4 ff ff 
Comment 6 Markske 2005-03-26 02:12:04 EST
Linux firewall 2.6.10-1.770_FC2 #1 Sat Feb 26 21:40:22 EST 2005 i686 i686 i386 
GNU/Linux
 root]# xfsdump
-bash: xfsdump: command not found

log/messages
Mar 26 04:02:25 firewall kernel: Unable to handle kernel paging request at 
virtual
 address ffbfffff
Mar 26 04:02:25 firewall kernel:  printing eip:
Mar 26 04:02:25 firewall kernel: d08794de
Mar 26 04:02:25 firewall kernel: *pde = 00003067
Mar 26 04:02:25 firewall kernel: Oops: 0002 [#1]
Mar 26 04:02:25 firewall kernel: Modules linked in: ipt_LOG ipt_multiport 
ipt_stat
e ipt_MASQUERADE ip_nat_tftp ip_nat_snmp_basic ip_nat_irc ip_nat_ftp ip_nat_aman
da iptable_nat ip_conntrack_tftp ip_conntrack_proto_sctp ip_conntrack_irc ip_con
ntrack_ftp ip_conntrack_amanda ip_conntrack iptable_filter ip_tables nfsd export
fs lockd parport_pc lp parport autofs4 sunrpc md5 ipv6 ppp_synctty ppp_async crc
_ccitt ppp_generic slhc 8139too mii floppy sg scsi_mod microcode dm_mod ohci_hcd
 video button battery ac ext3 jbd
Mar 26 04:02:25 firewall kernel: CPU:    0
Mar 26 04:02:25 firewall kernel: EIP:    0060:[<d08794de>]    Not tainted VLI
Mar 26 04:02:25 firewall kernel: EFLAGS: 00010286   (2.6.10-1.770_FC2)
Mar 26 04:02:25 firewall kernel: EIP is at ext3_clear_inode+0x3a/0x59 [ext3]
Mar 26 04:02:25 firewall kernel: eax: c2c8c80c   ebx: c2c8c80c   ecx: 
c2c8c814   e
dx: ffbfffff
Mar 26 04:02:25 firewall kernel: esi: c2c8c9a8   edi: 00000051   ebp: 
00000080   e
sp: c1310ed0
Mar 26 04:02:25 firewall kernel: ds: 007b   es: 007b   ss: 0068
Mar 26 04:02:26 firewall kernel: Process kswapd0 (pid: 156, threadinfo=c1310000 
ta
sk=cfef60b0)
Mar 26 04:02:26 firewall kernel: Stack: c2c8c80c c017d0f5 c2c8c80c c1310ef8 
c017d1
69 cafa1558 00000080 00000e62
Mar 26 04:02:26 firewall kernel:        c017d84b 00000080 c2da03e0 cf20fd7c 
000000
85 00000000 0000af00 cffee9a0
Mar 26 04:02:26 firewall kernel:        c017d89a c014ac1c 0000af00 00000000 
000000
13 00000000 00000918 000000d0
Mar 26 04:02:27 firewall kernel: Call Trace:
Mar 26 04:02:28 firewall kernel:  [<c017d0f5>] clear_inode+0xd3/0x100
Mar 26 04:02:28 firewall kernel:  [<c017d169>] dispose_list+0x47/0x15c
Mar 26 04:02:28 firewall kernel:  [<c017d84b>] prune_icache+0x329/0x364
Mar 26 04:02:29 firewall kernel:  [<c017d89a>] shrink_icache_memory+0x14/0x2b
Mar 26 04:02:29 firewall kernel:  [<c014ac1c>] shrink_slab+0xfe/0x161
Mar 26 04:02:29 firewall kernel:  [<c014c586>] balance_pgdat+0x1a4/0x2ba
Mar 26 04:02:29 firewall kernel:  [<c014c75f>] kswapd+0xc3/0xc5
Mar 26 04:02:29 firewall kernel:  [<c013376c>] autoremove_wake_function+0x0/0x2d
Mar 26 04:02:29 firewall kernel:  [<c013376c>] autoremove_wake_function+0x0/0x2d
Mar 26 04:02:29 firewall kernel:  [<c014c69c>] kswapd+0x0/0xc5
Mar 26 04:02:29 firewall kernel:  [<c01011dd>] kernel_thread_helper+0x5/0xb
Mar 26 04:02:29 firewall kernel: Code: 85 d2 74 10 ff 0a 0f 94 c0 84 c0 74 07 
89 d
0 e8 fd f4 8c ef c7 43 c0 ff ff ff ff 8b 53 c4 85 d2 74 20 83 fa ff 74 1b 85 d2
74 10 <ff> 0a 0f 94 c0 84 c0 74 07 89 d0 e8 d6 f4 8c ef c7 43 c4 ff ff
Comment 7 cd 2005-03-26 11:51:35 EST
Mar 26 09:05:23 webmaster kernel: Unable to handle kernel paging request at
virtual address ffefffff
Mar 26 09:05:23 webmaster kernel:  printing eip:
Mar 26 09:05:23 webmaster kernel: d08a92c4
Mar 26 09:05:23 webmaster kernel: *pde = 00002067
Mar 26 09:05:23 webmaster kernel: Oops: 0002 [#1]
Mar 26 09:05:23 webmaster kernel: Modules linked in: ipt_REJECT ipt_state
ip_conntrack iptable_filter ip_tables rfcomm l2cap bluetooth md5 ipv6 parpor
t_pc lp parport uhci_hcd 3c59x floppy dm_snapshot dm_zero dm_mirror ext3 jbd dm_mod
Mar 26 09:05:23 webmaster kernel: CPU:    0
Mar 26 09:05:23 webmaster kernel: EIP:    0060:[<d08a92c4>]    Not tainted VLI
Mar 26 09:05:23 webmaster kernel: EFLAGS: 00010286   (2.6.10-1.770_FC3)
Mar 26 09:05:23 webmaster kernel: EIP is at ext3_clear_inode+0x3a/0x59 [ext3]
Mar 26 09:05:23 webmaster kernel: eax: c2993c54   ebx: c2993c54   ecx: c2993c5c
  edx: ffefffff
Mar 26 09:05:23 webmaster kernel: esi: c2993df0   edi: 00000076   ebp: 00000080
  esp: c13b8ed4
Mar 26 09:05:23 webmaster kernel: ds: 007b   es: 007b   ss: 0068
Mar 26 09:05:23 webmaster kernel: Process kswapd0 (pid: 95, threadinfo=c13b8000
task=cfce70c0)
Mar 26 09:05:23 webmaster kernel: Stack: c2993c54 c017bcc0 c2993c54 c13b8efc
c017bd34 c6be9db4 00000080 00000000
Mar 26 09:05:23 webmaster kernel:        c017c3ee 00000080 cb09b16c c211ac1c
00000000 00000082 00000000 cfffa9a0
Mar 26 09:05:23 webmaster kernel:        c017c441 c014a16d 0006a400 00000000
00000007 00000000 0000d990 000000d0
Mar 26 09:05:23 webmaster kernel: Call Trace:
Mar 26 09:05:23 webmaster kernel:  [<c017bcc0>] clear_inode+0xd3/0x100
Mar 26 09:05:23 webmaster kernel:  [<c017bd34>] dispose_list+0x47/0x13a
Mar 26 09:05:23 webmaster kernel:  [<c017c3ee>] prune_icache+0x325/0x360
Mar 26 09:05:23 webmaster kernel:  [<c017c441>] shrink_icache_memory+0x18/0x2f
Mar 26 09:05:23 webmaster kernel:  [<c014a16d>] shrink_slab+0xf7/0x149
Mar 26 09:05:23 webmaster kernel:  [<c014ba86>] balance_pgdat+0x1b2/0x2d9
Mar 26 09:05:23 webmaster kernel:  [<c014bc66>] kswapd+0xb9/0xbb
Mar 26 09:05:23 webmaster kernel:  [<c0133328>] autoremove_wake_function+0x0/0x2d
Mar 26 09:05:23 webmaster kernel:  [<c0133328>] autoremove_wake_function+0x0/0x2d
Mar 26 09:05:23 webmaster kernel:  [<c014bbad>] kswapd+0x0/0xbb
Mar 26 09:05:23 webmaster kernel:  [<c01011dd>] kernel_thread_helper+0x5/0xb
Mar 26 09:05:23 webmaster kernel: Code: 85 d2 74 10 ff 0a 0f 94 c0 84 c0 74 07
89 d0 e8 11 ed 89 ef c7 43 c0 ff ff ff ff 8b 53 c4 85 d2 74 20 83 fa ff
 74 1b 85 d2 74 10 <ff> 0a 0f 94 c0 84 c0 74 07 89 d0 e8 ea ec 89 ef c7 43 c4 ff ff
Comment 8 cd 2005-04-04 10:55:02 EDT
These only happen when the box has been idle overnight - usually over the weekend:

Apr  2 09:58:38 webmaster kernel: Unable to handle kernel paging request at
virtual address ffefffff
Apr  2 09:58:38 webmaster kernel:  printing eip:
Apr  2 09:58:38 webmaster kernel: d08a92c4
Apr  2 09:58:38 webmaster kernel: *pde = 00002067
Apr  2 09:58:38 webmaster kernel: Oops: 0002 [#1]
Apr  2 09:58:38 webmaster kernel: Modules linked in: md5 ipv6 parport_pc lp
parport ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables uhci_hc
d 3c59x floppy dm_snapshot dm_zero dm_mirror ext3 jbd dm_mod
Apr  2 09:58:38 webmaster kernel: CPU:    0
Apr  2 09:58:38 webmaster kernel: EIP:    0060:[<d08a92c4>]    Not tainted VLI
Apr  2 09:58:38 webmaster kernel: EFLAGS: 00010286   (2.6.10-1.770_FC3)
Apr  2 09:58:38 webmaster kernel: EIP is at ext3_clear_inode+0x3a/0x59 [ext3]
Apr  2 09:58:38 webmaster kernel: eax: c29b3c54   ebx: c29b3c54   ecx: c29b3c5c
  edx: ffefffff
Apr  2 09:58:38 webmaster kernel: esi: c29b3df0   edi: 00000058   ebp: 00000080
  esp: cfcb7ed4
Apr  2 09:58:38 webmaster kernel: ds: 007b   es: 007b   ss: 0068
Apr  2 09:58:38 webmaster kernel: Process kswapd0 (pid: 95, threadinfo=cfcb7000
task=cfce70c0)
Apr  2 09:58:38 webmaster kernel: Stack: c29b3c54 c017bcc0 c29b3c54 cfcb7efc
c017bd34 c223174c 00000080 00000000
Apr  2 09:58:38 webmaster kernel:        c017c3ee 00000080 c433816c c5946d9c
00000000 00000088 00000000 cfffa9a0
Apr  2 09:58:38 webmaster kernel:        c017c441 c014a16d 000c1c00 00000000
0000000f 00000000 0000cea4 000000d0
Apr  2 09:58:38 webmaster kernel: Call Trace:
Apr  2 09:58:38 webmaster kernel:  [<c017bcc0>] clear_inode+0xd3/0x100
Apr  2 09:58:38 webmaster kernel:  [<c017bd34>] dispose_list+0x47/0x13a
Apr  2 09:58:38 webmaster kernel:  [<c017c3ee>] prune_icache+0x325/0x360
Apr  2 09:58:38 webmaster kernel:  [<c017c441>] shrink_icache_memory+0x18/0x2f
Apr  2 09:58:38 webmaster kernel:  [<c014a16d>] shrink_slab+0xf7/0x149
Apr  2 09:58:38 webmaster kernel:  [<c014ba86>] balance_pgdat+0x1b2/0x2d9
Apr  2 09:58:38 webmaster kernel:  [<c014bc66>] kswapd+0xb9/0xbb
Apr  2 09:58:38 webmaster kernel:  [<c0133328>] autoremove_wake_function+0x0/0x2d
Apr  2 09:58:38 webmaster kernel:  [<c0133328>] autoremove_wake_function+0x0/0x2d
Apr  2 09:58:38 webmaster kernel:  [<c014bbad>] kswapd+0x0/0xbb
Apr  2 09:58:38 webmaster kernel:  [<c01011dd>] kernel_thread_helper+0x5/0xb
Apr  2 09:58:38 webmaster kernel: Code: 85 d2 74 10 ff 0a 0f 94 c0 84 c0 74 07
89 d0 e8 11 ed 89 ef c7 43 c0 ff ff ff ff 8b 53 c4 85 d2 74 20 83 fa ff
 74 1b 85 d2 74 10 <ff> 0a 0f 94 c0 84 c0 74 07 89 d0 e8 ea ec 89 ef c7 43 c4 ff ff
Comment 9 Dave Jones 2005-07-15 13:34:57 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 10 Bernhard Erdmann 2005-07-19 17:08:23 EDT
Haven't seen any OOPSes for weeks now using kernel-2.6.11-1.27_FC3 and
kernel-2.6.11-1.35_FC3. Will test kernel-2.6.12-1.1372_FC3 anyhow.
Comment 11 cd 2005-07-21 10:44:20 EDT
I haven't had a problem since upgrading to 2.6.11-1.27_FC3.  However, since
upgrading to 2.6.12-1.1372_FC3, I've had a lockup and an oops this week.  Again,
it happens at night after being idle for awhile:
Jul 21 05:35:05 webmaster kernel: Unable to handle kernel paging request at
virtual address 08989e34
Jul 21 05:35:05 webmaster kernel:  printing eip:
Jul 21 05:35:05 webmaster kernel: c017a0f0
Jul 21 05:35:05 webmaster kernel: *pde = 00000000
Jul 21 05:35:05 webmaster kernel: Oops: 0000 [#1]
Jul 21 05:35:05 webmaster kernel: Modules linked in: snd_es1688 snd_opl3_lib
snd_hwdep snd_es1688_lib snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_
page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore md5 ipv6
parport_pc lp parport i2c_dev i2c_core ipt_REJECT ipt_state ip_conntrack 
iptable_filter ip_tables uhci_hcd 3c59x mii floppy dm_snapshot dm_zero dm_mirror
ext3 jbd dm_mod
Jul 21 05:35:05 webmaster kernel: CPU:    0
Jul 21 05:35:05 webmaster kernel: EIP:    0060:[<c017a0f0>]    Not tainted VLI
Jul 21 05:35:05 webmaster kernel: EFLAGS: 00010202   (2.6.12-1.1372_FC3) 
Jul 21 05:35:05 webmaster kernel: EIP is at remove_inode_buffers+0x22/0x16c
Jul 21 05:35:05 webmaster kernel: eax: 00000001   ebx: 08989de0   ecx: c15f2d18
  edx: caa1b23c
Jul 21 05:35:05 webmaster kernel: esi: caa1b23c   edi: 00000001   ebp: cff5eecc
  esp: cff5ee74
Jul 21 05:35:05 webmaster kernel: ds: 007b   es: 007b   ss: 0068
Jul 21 05:35:05 webmaster kernel: Process kswapd0 (pid: 70, threadinfo=cff5e000
task=cff6f550)
Jul 21 05:35:05 webmaster kernel: Stack: cc896ef0 00000076 cc1a3d40 00000246
cc1a3c20 c019267f cc8966bc cc896ef0 
Jul 21 05:35:05 webmaster kernel:        caa1b0e8 0000000f 00000080 c019820f
cb669df0 cea7da70 cc1a3c20 cea7da70 
Jul 21 05:35:05 webmaster kernel:        c01938bc 00000001 c1095240 c10ac200
00000000 0000000f caa1b358 cbf42948 
Jul 21 05:35:05 webmaster kernel: Call Trace:
Jul 21 05:35:05 webmaster kernel:  [<c019267f>] dput+0xca/0x5dc
Jul 21 05:35:05 webmaster kernel:  [<c019820f>] prune_icache+0x136/0x454
Jul 21 05:35:05 webmaster kernel:  [<c01938bc>] prune_dcache+0x2da/0x676
Jul 21 05:35:05 webmaster kernel:  [<c0198541>] shrink_icache_memory+0x14/0x37
Jul 21 05:35:05 webmaster kernel:  [<c015c170>] shrink_slab+0xf3/0x14f
Jul 21 05:35:05 webmaster kernel:  [<c015dd90>] balance_pgdat+0x25f/0x3a6
Jul 21 05:35:05 webmaster kernel:  [<c015dfa4>] kswapd+0xcd/0x110
Jul 21 05:35:05 webmaster kernel:  [<c013e5a9>] autoremove_wake_function+0x0/0x37
Jul 21 05:35:05 webmaster kernel:  [<c013e5a9>] autoremove_wake_function+0x0/0x37
Jul 21 05:35:05 webmaster kernel:  [<c015ded7>] kswapd+0x0/0x110
Jul 21 05:35:05 webmaster kernel:  [<c01012c1>] kernel_thread_helper+0x5/0xb
Jul 21 05:35:05 webmaster kernel: Code: 94 ed 36 c0 e8 35 63 fa ff 57 bf 01 00
00 00 56 53 89 c3 83 ec 20 e8 27 f4 ff ff 85 c0 74 7d 8d b3 54 01 00 00
 8b 9b 5c 01 00 00 <81> 7b 54 3c 4b 24 1d 75 75 8b 43 58 85 c0 74 0b 8b 43 5c 85 c0 
Comment 12 Dave Jones 2005-08-03 21:20:25 EDT
Please report XFS related bugs upstream to SGI.
As an unsupported fedora filesystem, it gets no engineer time.

There are several non-XFS bugs also misfiled in this bug.
If there aren't any open already, please open seperate bugs for those.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.